<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_pemeriksaan_ibu_hamil', function (Blueprint $table) {
            $table->id();
            $table->foreignId('ibu_hamil_id');
            $table->string('usia_hamil')->nullable();
            $table->string('berat_badan')->nullable();
            $table->string('tekanan_darah')->nullable();
            $table->string('keluhan')->nullable();
            $table->foreignId('vitamin_id');
            $table->foreignId('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_pemeriksaan_ibu_hamil');
    }
};
